Index: /main/kofacustom.coewarri/trunk/src/kofacustom/coewarri/interswitch/tests.py
===================================================================
--- /main/kofacustom.coewarri/trunk/src/kofacustom/coewarri/interswitch/tests.py	(revision 16416)
+++ /main/kofacustom.coewarri/trunk/src/kofacustom/coewarri/interswitch/tests.py	(revision 16417)
@@ -69,5 +69,5 @@
                            self.browser.contents)
         self.assertMatches(
-            '...<span>80450.0</span>...',
+            '...<span>85950.0</span>...',
             self.browser.contents)
         self.payment_url = self.browser.url
@@ -79,8 +79,8 @@
         self.assertEqual(self.student.current_mode, 'ug_ft')
         self.assertMatches(
-            '...<input type="hidden" name="amount" value="8045000" />...',
-            self.browser.contents)
-        self.assertMatches(
-            '...item_name="School Fee (total)" item_amt="8045000" bank_id="8" acct_num="2000746414"...',
+            '...<input type="hidden" name="amount" value="8595000" />...',
+            self.browser.contents)
+        self.assertMatches(
+            '...item_name="School Fee (total)" item_amt="8595000" bank_id="8" acct_num="2000746414"...',
             self.browser.contents)
 
Index: /main/kofacustom.coewarri/trunk/src/kofacustom/coewarri/students/tests/test_browser.py
===================================================================
--- /main/kofacustom.coewarri/trunk/src/kofacustom/coewarri/students/tests/test_browser.py	(revision 16416)
+++ /main/kofacustom.coewarri/trunk/src/kofacustom/coewarri/students/tests/test_browser.py	(revision 16417)
@@ -75,7 +75,7 @@
         self.assertEqual(self.student['payments'].values()[0].p_category, 'schoolfee_1')
         self.assertEqual(self.student['payments'].values()[1].p_category, 'schoolfee_2')
-        # 80200 / 2 + 250
-        self.assertEqual(self.student['payments'].values()[0].amount_auth, 40350.0)
-        self.assertEqual(self.student['payments'].values()[1].amount_auth, 40350.0)
+        # 85700/ 2 + 250
+        self.assertEqual(self.student['payments'].values()[0].amount_auth, 43100.0)
+        self.assertEqual(self.student['payments'].values()[1].amount_auth, 43100.0)
         # The  two payments belong to the same session and level.
         self.assertEqual(self.student['payments'].values()[0].p_session, 2004)
@@ -105,7 +105,7 @@
         self.assertEqual(self.student.current_level, 200)
         self.assertEqual(self.student.current_session, 2005)
-        # 73700 / 2 + 250
-        self.assertEqual(self.student['payments'].values()[2].amount_auth, 37100.0)
-        self.assertEqual(self.student['payments'].values()[3].amount_auth, 37100.0)
+        # 79700 / 2 + 250
+        self.assertEqual(self.student['payments'].values()[2].amount_auth, 40100.0)
+        self.assertEqual(self.student['payments'].values()[3].amount_auth, 40100.0)
         # The last two payments belong to the same session and level.
         self.assertEqual(self.student['payments'].values()[2].p_session, 2005)
Index: /main/kofacustom.coewarri/trunk/src/kofacustom/coewarri/students/tests/test_utils.py
===================================================================
--- /main/kofacustom.coewarri/trunk/src/kofacustom/coewarri/students/tests/test_utils.py	(revision 16416)
+++ /main/kofacustom.coewarri/trunk/src/kofacustom/coewarri/students/tests/test_utils.py	(revision 16417)
@@ -31,5 +31,5 @@
         self.assertEqual(payment.p_level, 100)
         self.assertEqual(payment.p_session, 2016)
-        self.assertEqual(payment.amount_auth, 80450.0)
+        self.assertEqual(payment.amount_auth, 85950.0)
         self.assertEqual(payment.p_item, u'CERT1')
         self.assertEqual(error, None)
@@ -38,5 +38,5 @@
         self.assertEqual(payment.p_level, 100)
         self.assertEqual(payment.p_session, 2016)
-        self.assertEqual(payment.amount_auth, 40350.0)
+        self.assertEqual(payment.amount_auth, 43100.0)
         self.assertEqual(payment.p_item, u'CERT1')
         self.assertEqual(error, None)
@@ -45,5 +45,5 @@
         self.assertEqual(payment.p_level, 100)
         self.assertEqual(payment.p_session, 2016)
-        self.assertEqual(payment.amount_auth, 40350.0)
+        self.assertEqual(payment.amount_auth, 43100.0)
         self.assertEqual(payment.p_item, u'CERT1')
         self.assertEqual(error, None)
@@ -55,5 +55,5 @@
         self.student.lga = 'delta_burutu'
         error, payment = utils.setPaymentDetails('schoolfee',self.student)
-        self.assertEqual(payment.amount_auth, 70450.0)
+        self.assertEqual(payment.amount_auth, 75950.0)
         error, payment = utils.setPaymentDetails('clearance',self.student)
         self.assertEqual(payment.amount_auth, 20300.0)
Index: /main/kofacustom.coewarri/trunk/src/kofacustom/coewarri/students/utils.py
===================================================================
--- /main/kofacustom.coewarri/trunk/src/kofacustom/coewarri/students/utils.py	(revision 16416)
+++ /main/kofacustom.coewarri/trunk/src/kofacustom/coewarri/students/utils.py	(revision 16417)
@@ -43,13 +43,13 @@
 FEES_VALUES = (
      ( # 100      110      200      210      300      310      400      410     500  999
-       (43200.0, 43200.0, 42700.0, 42700.0, 37200.0, 37200.0, 0.0, 0.0, 0.0, 0.0), # nce_ft
+       (43200.0, 43200.0, 46200.0, 46200.0, 40200.0, 40200.0, 0.0, 0.0, 0.0, 0.0), # nce_ft
        (55200.0, 55200.0, 49200.0, 49200.0, 53200.0, 53200.0, 49200.0, 49200.0, 0.0, 0.0), # nce_pt
-       (70200.0, 70200.0, 63700.0, 63700.0, 67700.0, 67700.0, 61700.0, 61700.0, 0.0, 0.0), # ug_ft
+       (75700.0, 75700.0, 69700.0, 69700.0, 73700.0, 73700.0, 67700.0, 67700.0, 0.0, 0.0), # ug_ft
        (33200.0, 33200.0, 28000.0, 28000.0, 32000.0, 32000.0, 28000.0, 28000.0, 0.0, 0.0), # nce_we_pt
      ), # local
      ( #
-       (55800.0, 55800.0, 54800.0, 54800.0, 49800.0, 49800.0, 0.0, 0.0, 0.0, 0.0), # nce_ft
+       (55800.0, 55800.0, 58700.0, 58700.0, 52700.0, 52700.0, 0.0, 0.0, 0.0, 0.0), # nce_ft
        (55200.0, 55200.0, 49200.0, 49200.0, 53200.0, 53200.0, 49200.0, 49200.0, 0.0, 0.0), # nce_pt
-       (80200.0, 80200.0, 73700.0, 73700.0, 77700.0, 77700.0, 71700.0, 71700.0, 0.0, 0.0), # ug_ft
+       (85700.0, 85700.0, 79700.0, 79700.0, 83700.0, 83700.0, 77700.0, 77700.0, 0.0, 0.0), # ug_ft
        (33200.0, 33200.0, 28000.0, 28000.0, 32000.0, 32000.0, 28000.0, 28000.0, 0.0, 0.0), # nce_we_pt
      ), # non-local