Index: main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/interswitch/browser.py
===================================================================
--- main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/interswitch/browser.py	(revision 16433)
+++ main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/interswitch/browser.py	(revision 16434)
@@ -96,24 +96,14 @@
         if self.context.p_category in (
             'schoolfee', 'schoolfee40', 'secondinstal'):
-            xmldict['institution_acct'] = '1011005811'
-            xmldict['institution_bank_id'] = '117'
             self.pay_item_id = '101'
         elif self.context.p_category == 'book':
-            xmldict['institution_acct'] = '1013249587'
-            xmldict['institution_bank_id'] = '117'
             self.pay_item_id = '103'
         elif self.context.p_category == 'parentsconsult':
-            xmldict['institution_acct'] = '1012355544'
-            xmldict['institution_bank_id'] = '117'
             self.pay_item_id = '104'
         elif self.context.p_category in (
             'municipal_fresh', 'municipal_returning',
             'transcript_local', 'transcript_overseas', 'transcript'):
-            xmldict['institution_acct'] = '0040621193'
-            xmldict['institution_bank_id'] = '31'
             self.pay_item_id = '105'
         else:
-            xmldict['institution_acct'] = '1011050158'
-            xmldict['institution_bank_id'] = '117'
             self.pay_item_id = '102'
         if self.context.p_category in (
@@ -124,6 +114,4 @@
             provider_amt = 5000.0
         if self.context.p_category.startswith('jupeb'):
-            xmldict['institution_acct'] = '0787077169'
-            xmldict['institution_bank_id'] = '31'
             self.pay_item_id = '102'
         xmldict['provider_amt'] = 100 * provider_amt
@@ -132,4 +120,18 @@
         xmldict['institution_amt'] = 100 * self.context.net_amt - (
             100 * provider_amt)
+
+        if self.context.p_option == 'access':
+            xmldict['institution_acct'] = '0040484781'
+            xmldict['institution_bank_id'] = '31'
+        elif self.context.p_option == 'first':
+            xmldict['institution_acct'] = '2021420049'
+            xmldict['institution_bank_id'] = '8'
+        elif self.context.p_option == 'zenith':
+            xmldict['institution_acct'] = '1011005811'
+            xmldict['institution_bank_id'] = '117'
+        else:
+            xmldict['institution_acct'] = '0040484781'
+            xmldict['institution_bank_id'] = '31'
+
         if provider_amt == 0:
             xmltext = """<payment_item_detail>
Index: main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/interswitch/tests.py
===================================================================
--- main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/interswitch/tests.py	(revision 16433)
+++ main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/interswitch/tests.py	(revision 16434)
@@ -60,4 +60,5 @@
         self.browser.open(self.payments_path + '/addop')
         self.browser.getControl(name="form.p_category").value = ['registration']
+        self.browser.getControl(name="form.p_option").value = ['first']
         self.browser.getControl("Create payment").click()
         self.assertTrue('Payment created' in self.browser.contents)
@@ -82,5 +83,5 @@
         # WAeAC charge have been substracted
         self.assertTrue(
-            'item_name="Registration Fee" item_amt="200000" bank_id="117" acct_num="1011050158"' in
+            'item_name="Registration Fee" item_amt="200000" bank_id="8" acct_num="2021420049"' in
             self.browser.contents)
         self.assertTrue(
Index: main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/locales/en/LC_MESSAGES/waeup.kofa.po
===================================================================
--- main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/locales/en/LC_MESSAGES/waeup.kofa.po	(revision 16433)
+++ main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/locales/en/LC_MESSAGES/waeup.kofa.po	(revision 16434)
@@ -144,2 +144,5 @@
 msgid "Personal Data of"
 msgstr "Course Registration Clearance of"
+
+msgid "Payment Option:"
+msgstr "Debit Card:"
Index: main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/tests/test_export.py
===================================================================
--- main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/tests/test_export.py	(revision 16433)
+++ main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/tests/test_export.py	(revision 16434)
@@ -69,5 +69,6 @@
         # set values we can expect in export file
         self.setup_student(self.student)
-        self.student['payments']['my-payment'].r_company = 'interswatch'
+        self.student['payments']['my-payment'].r_company = 'interswitch'
+        self.student['payments']['my-payment'].p_option = 'first'
         self.student['payments']['my-payment'].r_card_num = '789'
         exporter = CustomStudentPaymentExporter()
@@ -76,11 +77,11 @@
         self.assertMatches(
             'ac,amount_auth,creation_date,gateway_amt,net_amt,p_category,p_combi,p_current,'
-            'p_id,p_item,p_level,p_session,p_state,payment_date,provider_amt,'
+            'p_id,p_item,p_level,p_option,p_session,p_state,payment_date,provider_amt,'
             'r_amount_approved,r_card_num,r_code,r_company,r_desc,'
             'r_pay_reference,thirdparty_amt,student_id,state,'
             'current_session,entry_session\r\n'
             '666,12.12,%s-04-01 13:12:01#,,,schoolfee,[],1,my-id,p-item,'
-            '100,%s,paid,%s-04-01 14:12:01#,,12.12,'
-            '789,r-code,interswatch,,,,A111111,created,2012,2010\r\n'
+            '100,first,%s,paid,%s-04-01 14:12:01#,,12.12,'
+            '789,r-code,interswitch,,,,A111111,created,2012,2010\r\n'
             % (curr_year-6, curr_year-6, curr_year-6), result
             )
Index: main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/utils/utils.py
===================================================================
--- main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/utils/utils.py	(revision 16433)
+++ main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/utils/utils.py	(revision 16434)
@@ -209,4 +209,11 @@
         }
 
+    PAYMENT_OPTIONS = {
+        'first': 'First Bank Debit Card',
+        'access': 'Access Bank Debit Card',
+        'zenith': 'Zenith Bank Debit Card',
+        'other': 'Other Bank Debit Card',
+        }
+
     APP_CATS_DICT = {
         'basic': 'UAS, PUTME, PUDE, PCE, PRENCE',