Index: /main/waeup.fceokene/trunk/src/waeup/fceokene/applicants/schools.py
===================================================================
--- /main/waeup.fceokene/trunk/src/waeup/fceokene/applicants/schools.py	(revision 16434)
+++ /main/waeup.fceokene/trunk/src/waeup/fceokene/applicants/schools.py	(revision 16435)
@@ -369,6 +369,26 @@
     's1809': ('Zone 13','Anyingba Ochaja','CMMI SECONDARY SCHOOL, ANYINGBA'),
     's1810': ('Zone 13','Anyingba Ochaja','Our Lady of Schools, Anyingba'),
-# aditional schools added 03/10/19
+     # aditional schools added 03/10/19
     's1811': ('Zone 14','Idah-Ugwolawo','Trinity International College, Idah'),
     's1812': ('Zone 12','Itobe-Aloma','L.G.E.A Model Primary School, Ejule'),
+     # additional schools added 25/03/2021
+    's2000': ('Zone 01','Otite, Ogaminana, Obangede','Seat of Wisdom international school, behind Royiza filling station, Otite'),
+    's2001': ('Zone 01','Otite, Ogaminana, Obangede','FAAAz International Academy Nur/primary school, After Nagazi Hotel, Nagazi Uvete'),
+    's2002': ('Zone 01','Otite, Ogaminana, Obangede','UBE/JSS Model Oziokutu  Ogaminana'),
+    's2003': ('Zone 01','Otite, Ogaminana, Obangede','UBE/JSS Nagazi Uvete opposite ECSS Ogaminana'),
+    's2004': ('Zone 01','Otite, Ogaminana, Obangede','UBE/JSS along Chief Salawu Addi Road, Okunchi'),
+    's2005': ('Zone 01','Otite, Ogaminana, Obangede','Bahad International School, Nagazi, Behind Noble Guest inn, Nagazi'),
+    's2006': ('Zone 01','Otite, Ogaminana, Obangede','Winner Nursery and Primary School Otite'),
+    's2007': ('Zone 01','Otite, Ogaminana, Obangede','Ason Model Academy KM3, Obangede road, Oziokutu'),
+    's2008': ('Zone 01','Otite, Ogaminana, Obangede','Community Secondary School, Obangede'),
+    's2009': ('Zone 01','Otite, Ogaminana, Obangede','Model Progressive Academy Nagazi Uvete beside Nagazi hotel'),
+    's2010': ('Zone 01','Otite, Ogaminana, Obangede','Gifted Academy, Nagazi Eba'),
+    's2011': ('Zone 01','Otite, Ogaminana, Obangede','Heros International Nursery & Primary School, along Nagazi hotel, Nagazi'),
+    's2012': ('Zone 02','Okene Metropolis','UBE/JSS Iduka Okene'),
+    's2013': ('zone 03','Kuroko-Inoziomi-GRA','Sheik Ahmad Rufai Memorial Basic School Enyidudu Inoziomi'),
+    's2014': ('zone 03','Kuroko-Inoziomi-GRA','Mawipress Academy Secondary School Eika Ohizenyi'),
+    's2015': ('zone 03','Kuroko-Inoziomi-GRA','Jamatul Muslimeen Nur?Pri school Eika Ohizeyi'),
+    's2016': ('zone 03','Kuroko-Inoziomi-GRA','Divine Destiny International School, Ovakere New layout Adjacent Mama governor\'s house'),
+    's2017': ('Zone 04','Okengwe Ihima','Bethel Kiddies Academy, Behind Puffy\'s residence, Ohueta, ihima'),
+    's2018': ('Zone 04','Okengwe Ihima','Gloryland International Academy Oboroke Ihima, behind Odumson filling state'),
     }
Index: /main/waeup.fceokene/trunk/src/waeup/fceokene/applicants/schools_pandemic.py
===================================================================
--- /main/waeup.fceokene/trunk/src/waeup/fceokene/applicants/schools_pandemic.py	(revision 16434)
+++ /main/waeup.fceokene/trunk/src/waeup/fceokene/applicants/schools_pandemic.py	(revision 16435)
@@ -95,3 +95,23 @@
     's1656': ('Zone 04','Okengwe Ihima','Ruhul-Islam College of Arabic Islamic Studies, Adavi-Eba'),
     's1657': ('Zone 04','Okengwe Ihima','Community Secondary School, Ege'),
+    # additional schools added 25/03/2021
+    's2000': ('Zone 01','Otite, Ogaminana, Obangede','Seat of Wisdom international school, behind Royiza filling station, Otite'),
+    's2001': ('Zone 01','Otite, Ogaminana, Obangede','FAAAz International Academy Nur/primary school, After Nagazi Hotel, Nagazi Uvete'),
+    's2002': ('Zone 01','Otite, Ogaminana, Obangede','UBE/JSS Model Oziokutu  Ogaminana'),
+    's2003': ('Zone 01','Otite, Ogaminana, Obangede','UBE/JSS Nagazi Uvete opposite ECSS Ogaminana'),
+    's2004': ('Zone 01','Otite, Ogaminana, Obangede','UBE/JSS along Chief Salawu Addi Road, Okunchi'),
+    's2005': ('Zone 01','Otite, Ogaminana, Obangede','Bahad International School, Nagazi, Behind Noble Guest inn, Nagazi'),
+    's2006': ('Zone 01','Otite, Ogaminana, Obangede','Winner Nursery and Primary School Otite'),
+    's2007': ('Zone 01','Otite, Ogaminana, Obangede','Ason Model Academy KM3, Obangede road, Oziokutu'),
+    's2008': ('Zone 01','Otite, Ogaminana, Obangede','Community Secondary School, Obangede'),
+    's2009': ('Zone 01','Otite, Ogaminana, Obangede','Model Progressive Academy Nagazi Uvete beside Nagazi hotel'),
+    's2010': ('Zone 01','Otite, Ogaminana, Obangede','Gifted Academy, Nagazi Eba'),
+    's2011': ('Zone 01','Otite, Ogaminana, Obangede','Heros International Nursery & Primary School, along Nagazi hotel, Nagazi'),
+    's2012': ('Zone 02','Okene Metropolis','UBE/JSS Iduka Okene'),
+    's2013': ('zone 03','Kuroko-Inoziomi-GRA','Sheik Ahmad Rufai Memorial Basic School Enyidudu Inoziomi'),
+    's2014': ('zone 03','Kuroko-Inoziomi-GRA','Mawipress Academy Secondary School Eika Ohizenyi'),
+    's2015': ('zone 03','Kuroko-Inoziomi-GRA','Jamatul Muslimeen Nur?Pri school Eika Ohizeyi'),
+    's2016': ('zone 03','Kuroko-Inoziomi-GRA','Divine Destiny International School, Ovakere New layout Adjacent Mama governor\'s house'),
+    's2017': ('Zone 04','Okengwe Ihima','Bethel Kiddies Academy, Behind Puffy\'s residence, Ohueta, ihima'),
+    's2018': ('Zone 04','Okengwe Ihima','Gloryland International Academy Oboroke Ihima, behind Odumson filling state'),
 }