Index: main/waeup.kofa/trunk/CHANGES.txt
===================================================================
--- main/waeup.kofa/trunk/CHANGES.txt	(revision 16458)
+++ main/waeup.kofa/trunk/CHANGES.txt	(revision 16459)
@@ -5,5 +5,5 @@
 =======================
 
-* No changes yet.
+* Enable managers to remove all flash notices of students in a department.
 
 1.7 (2021-04-13)
Index: main/waeup.kofa/trunk/layout/theme.html
===================================================================
--- main/waeup.kofa/trunk/layout/theme.html	(revision 16458)
+++ main/waeup.kofa/trunk/layout/theme.html	(revision 16459)
@@ -234,5 +234,4 @@
                 euismod. Donec sed odio dui.
               </p>
-              <img src="static/img/bg.png" />
 
               <!-- Tabs... -->
Index: main/waeup.kofa/trunk/src/waeup/kofa/browser/viewlets.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/browser/viewlets.py	(revision 16458)
+++ main/waeup.kofa/trunk/src/waeup/kofa/browser/viewlets.py	(revision 16459)
@@ -560,4 +560,21 @@
             "'All students, who requested clearance in this department, will be cleared. Are you sure?'")
 
+class RemoveFlashDepartmentStudentsActionButton(ManageActionButton):
+    """ 'Remove all flash notices' button for departments.
+    """
+    grok.context(IDepartment)
+    grok.view(DepartmentPage)
+    grok.name('removeflashdepartmentstudents')
+    grok.require('waeup.manageStudent')
+    icon = 'actionicon_wipe.png'
+    text = _('Remove all flash notices')
+    target = 'removeflash'
+    grok.order(5)
+
+    @property
+    def onclick(self):
+        return "return window.confirm(%s);" % _(
+            "'Flash notices of all students in this department will be removed. Are you sure?'")
+
 class ManageCourseActionButton(ManageActionButton):
     """ 'Edit settings' button for courses.
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 16458)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/browser.py	(revision 16459)
@@ -3796,4 +3796,27 @@
         return
 
+class RemoveFlashNoticeAllStudentsInDepartmentView(UtilityView, grok.View):
+    """ Remove flash notices of all students in a department.
+    """
+    grok.context(IDepartment)
+    grok.name('removeflash')
+    grok.require('waeup.manageStudent')
+
+    def update(self):
+        cat = queryUtility(ICatalog, name='students_catalog')
+        students = cat.searchResults(
+            depcode=(self.context.code, self.context.code),
+            )
+        num = 0
+        for student in students:
+            student.flash_notice = u''
+            num += 1
+        self.flash(_('%d flash notices have been removed.' % num))
+        self.redirect(self.url(self.context))
+        return
+
+    def render(self):
+        return
+
 class EditScoresPage(KofaPage):
     """Page that allows to edit batches of scores.
Index: main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_browser.py
===================================================================
--- main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_browser.py	(revision 16458)
+++ main/waeup.kofa/trunk/src/waeup/kofa/students/tests/test_browser.py	(revision 16459)
@@ -1880,4 +1880,13 @@
         self.browser.getLink("Clear all students").click()
         self.assertTrue('0 students have been cleared' in self.browser.contents)
+        return
+
+    def test_remove_all_flash_notices(self):
+        self.student.flash_notice = u'test'
+        self.browser.addHeader('Authorization', 'Basic mgr:mgrpw')
+        self.browser.open('http://localhost/app/faculties/fac1/dep1')
+        self.browser.getLink("Remove all flash notices").click()
+        self.assertTrue('1 flash notices have been removed' in self.browser.contents)
+        self.assertEqual(self.student.flash_notice, '')
         return
 