Index: main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/browser.py
===================================================================
--- main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/browser.py	(revision 16489)
+++ main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/browser.py	(revision 16492)
@@ -508,4 +508,37 @@
 """
 
+    @property
+    def post_text_pt(self):
+        return """
+Please note that at the point of registration for your programme of study (course), you will be required to present the following documents: Current UTME result slip where available, WAEC/NECO (0' Level) result, Birth certificate or sworn affidavit of age, and health certificate from a recognized Medical Centre.
+
+All credentials (original) will be checked during registration. This admission will be cancelled at any point in time it is found that your claims in the application form are false.
+
+You are required to show evidence of the result / credentials you presented on application for admission.
+
+Fees are paid through bank draft only. Fees can be paid using any of the following options: Professional courses N180,000 (One Hundred and Eighty Thousand Naira only) and Non- Professional N150,000 (One Hundred and Fifty Thousand Naira only).
+
+Your Student Id (indicated above) is your login to the University portal. As an indication of your acceptance of this offer of admission, you should immediatelty raise a draft of fees above at the beginning of the session,. Install mental payments of not more than two installments, may be allowed under exceptional circumstances. Fees once paid are not refundable.
+
+It is advisable that you keep the original receipts of fees paid and present them on demand.
+
+Resumption Date: The University opens for fresh students with online registration starting from Monday 28th September, 2020. The date for physical resumption is 14th November, 2020.
+
+All credentials, O'Level Results, Birth Certificate/Age Declaration, UTME Result Slip where available (Original) will be checked during registration. This admission will be cancelled at any point in time it is found that any of your claims in the application form is false.
+
+Conduct: All students are expected to conduct themselves properly and dress decently on campus, as well as obey all rules and regulations as failure to comply will attract appropriate sanctions.
+
+We wish you a successful academic career in Igbinedion University.
+
+Congratulations!
+
+<img src="${signature_benji_img_path}" valign="-20" height="38" width="86" />
+
+Friday Benji Bakare Esq.
+Registrar
+registrar@iuokada.edu.ng
+08035902949
+"""
+
     def render(self):
         students_utils = getUtility(IStudentsUtils)
@@ -513,4 +546,9 @@
             os.path.dirname(__file__), 'static', 'watermark.pdf')
         watermark = open(watermark_path, 'rb')
+        if self.context.current_mode.endswith('_pt'):
+            return students_utils.renderPDFAdmissionLetter(self,
+                self.context.student, omit_fields=self.omit_fields,
+                pre_text=self.pre_text_ug, post_text=self.post_text_pt,
+                watermark=watermark)
         if self.context.is_postgrad:
             file_path = os.path.join(
Index: main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/tests/test_browser.py
===================================================================
--- main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/tests/test_browser.py	(revision 16489)
+++ main/kofacustom.iuokada/trunk/src/kofacustom/iuokada/students/tests/test_browser.py	(revision 16492)
@@ -190,5 +190,5 @@
         print "Sample PDF course_registration_clearance.pdf written to %s" % path
 
-    def test_student_admission_letter(self):
+    def test_student_admission_letters(self):
         self.certificate.study_mode = 'ug_ft'
         # Student cant login if their password is not set
@@ -228,2 +228,11 @@
         open(path, 'wb').write(self.browser.contents)
         print "Sample PDF PG admission_slip.pdf written to %s" % path
+        self.certificate.study_mode = 'ug_pt'
+        self.browser.open(self.student_path)
+        self.browser.getLink("Base Data").click()
+        self.browser.getLink("Download admission letter").click()
+        self.assertEqual(self.browser.headers['Status'], '200 Ok')
+        self.assertEqual(self.browser.headers['Content-Type'], 'application/pdf')
+        path = os.path.join(samples_dir(), 'pt_admission_slip.pdf')
+        open(path, 'wb').write(self.browser.contents)
+        print "Sample PDF PT admission_slip.pdf written to %s" % path