Index: main/waeup.uniben/trunk/src/waeup/uniben/applicants/browser.py
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/applicants/browser.py	(revision 16503)
+++ main/waeup.uniben/trunk/src/waeup/uniben/applicants/browser.py	(revision 16504)
@@ -34,5 +34,5 @@
     ApplicantBaseDisplayFormPage,
     CheckTranscriptStatus,
-    AdditionalFile)
+    AdditionalFile,)
 from waeup.kofa.students.interfaces import IStudentsUtils
 from waeup.kofa.applicants.interfaces import (
@@ -43,5 +43,6 @@
     NigeriaApplicantManageFormPage,
     NigeriaApplicantEditFormPage,
-    NigeriaPDFApplicationSlip)
+    NigeriaPDFApplicationSlip,
+    NigeriaExportPDFPaymentSlipPage)
 from waeup.uniben.applicants.interfaces import (
     ICustomApplicant,
@@ -727,4 +728,47 @@
             ar_translation, self.context.application_number)
 
+class CustomApplicantBaseDisplayFormPage(ApplicantBaseDisplayFormPage):
+
+    @property
+    def form_fields(self):
+        target = getattr(self.context.__parent__, 'prefix', None)
+        if target.startswith('tsc'):
+            form_fields = grok.AutoFields(ICustomApplicant).select(
+                'applicant_id', 'email', 'dispatch_address')
+        else:
+            form_fields = grok.AutoFields(ICustomApplicant).select(
+                'applicant_id', 'reg_number', 'email', 'course1')
+        if self.context.__parent__.prefix in ('special',):
+            form_fields['reg_number'].field.title = u'Identification Number'
+            return form_fields
+        return form_fields
+
+class CustomExportPDFPaymentSlipPage(NigeriaExportPDFPaymentSlipPage):
+    """Deliver a PDF slip of the context.
+    """
+
+    @property
+    def omit_fields(self):
+        target = getattr(self.context.__parent__.__parent__, 'prefix', None)
+        if target.startswith('tsc'):
+            return ('date_of_birth', 'course1')
+        return
+
+    @property
+    def note(self):
+        return
+
+    def render(self):
+        if self.payment_slip_download_warning:
+            self.flash(self.payment_slip_download_warning, type='danger')
+            self.redirect(self.url(self.context))
+            return
+        applicantview = CustomApplicantBaseDisplayFormPage(self.context.__parent__,
+            self.request)
+        students_utils = getUtility(IStudentsUtils)
+        return students_utils.renderPDF(self,'payment_slip.pdf',
+            self.context.__parent__, applicantview,
+            note=self.note, omit_fields=self.omit_fields)
+
 class ExportScreeningInvitationSlip(UtilityView, grok.View):
     """Deliver a PDF slip of the context.
Index: main/waeup.uniben/trunk/src/waeup/uniben/applicants/tests/test_browser.py
===================================================================
--- main/waeup.uniben/trunk/src/waeup/uniben/applicants/tests/test_browser.py	(revision 16503)
+++ main/waeup.uniben/trunk/src/waeup/uniben/applicants/tests/test_browser.py	(revision 16504)
@@ -348,9 +348,21 @@
         file_ctrl.add_file(image, filename='myphoto.jpg')
         self.browser.getControl("Save").click()
+        applicant_url = self.browser.url
         self.browser.getControl("Create and make online").click()
         self.assertTrue('Payment ticket created' in self.browser.contents)
         self.assertTrue('<span>40000.0</span>' in self.browser.contents)
         self.assertEqual(applicant.values()[0].amount_auth, 40000.0)
+        applicant.values()[0].p_state = 'paid'
+        payment_url = self.browser.url
         IWorkflowState(applicant).setState('submitted')
+        self.browser.open(payment_url)
+        self.browser.getLink("Download payment slip").click()
+        self.assertEqual(self.browser.headers['Status'], '200 Ok')
+        self.assertEqual(self.browser.headers['Content-Type'],
+                         'application/pdf')
+        path = os.path.join(samples_dir(), 'tscf_payment_slip.pdf')
+        open(path, 'wb').write(self.browser.contents)
+        print "Sample tscf_payment_slip.pdf written to %s" % path
+        self.browser.open(applicant_url)
         self.browser.getLink("My Data").click()
         self.browser.getLink("Download application slip").click()