Index: main/waeup.aaue/trunk/src/waeup/aaue/applicants/browser.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/applicants/browser.py	(revision 16419)
+++ main/waeup.aaue/trunk/src/waeup/aaue/applicants/browser.py	(revision 16548)
@@ -407,8 +407,8 @@
 
     def display_fileupload(self, filename):
-        if filename[1] == 'stateresult.pdf':
+        if filename[1] == 'stateresult':
             if self.target in ('trans', 'cert'):
                 return True
-        if filename[1] == 'verificationdoc.pdf':
+        if filename[1] == 'verificationdoc':
             if self.target in ('ver', 'send'):
                 return True
@@ -464,8 +464,8 @@
 
     def display_fileupload(self, filename):
-        if filename[1] == 'stateresult.pdf':
+        if filename[1] == 'stateresult':
             if self.target in ('trans', 'cert'):
                 return True
-        if filename[1] == 'verificationdoc.pdf':
+        if filename[1] == 'verificationdoc':
             if self.target in ('ver', 'send'):
                 return True
@@ -486,8 +486,8 @@
                 return _('Passport picture confirmation box not ticked.')
         if self.target in ('trans', 'cert') and \
-            not store.getFileByContext(self.context, attr=u'stateresult.pdf'):
+            not store.getFileByContext(self.context, attr=u'stateresult'):
             return _('No statement of result pdf file uploaded.')
         if self.target in ('ver',) and \
-            not store.getFileByContext(self.context, attr=u'verificationdoc.pdf'):
+            not store.getFileByContext(self.context, attr=u'verificationdoc'):
             return _('No pdf file uploaded.')
         if self.target == 'fedex':
@@ -785,8 +785,8 @@
     """Renders the pdf form extension for applicants.
     """
-    grok.name('stateresult.pdf')
+    grok.name('stateresult')
 
 class VerificationDoc(AdditionalFile):
     """Renders the pdf form extension for applicants.
     """
-    grok.name('verificationdoc.pdf')
+    grok.name('verificationdoc')
Index: main/waeup.aaue/trunk/src/waeup/aaue/applicants/browser_templates/applicanteditpage.pt
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/applicants/browser_templates/applicanteditpage.pt	(revision 16419)
+++ main/waeup.aaue/trunk/src/waeup/aaue/applicants/browser_templates/applicanteditpage.pt	(revision 16548)
@@ -53,5 +53,5 @@
               <p tal:condition="python:view.file_exists(filename[1])">
                 <a tal:attributes="href python:filename[1]"i18n:translate="">
-                  Download pdf file
+                  Download file
                 </a>
               </p>
@@ -66,5 +66,5 @@
               </div>
               <span i18n:translate="">
-                PDF files only. Max. file size:
+                PDF or JPG files only. Max. file size:
               </span>
               <span tal:replace="view/max_file_upload_size">10 KB</span>
Index: main/waeup.aaue/trunk/src/waeup/aaue/applicants/tests/test_browser.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/applicants/tests/test_browser.py	(revision 16419)
+++ main/waeup.aaue/trunk/src/waeup/aaue/applicants/tests/test_browser.py	(revision 16548)
@@ -32,4 +32,6 @@
 from waeup.kofa.applicants.tests.test_browser import (
     ApplicantsFullSetup, container_name_1, session_1)
+
+SAMPLE_IMAGE = os.path.join(os.path.dirname(__file__), 'test_image.jpg')
 
 class CustomApplicantUITest(ApplicantsFullSetup):
@@ -344,18 +346,19 @@
         self.browser.open(self.transapplicant_manage_path)
         # Create a pseudo file with acceptable size
-        pdf_content = 'A' * 1024 * 300  # A string of 300 KB size
-        pseudo_pdf = StringIO(pdf_content)
-        ctrl = self.browser.getControl(name='stateresult.pdf')
+        #pdf_content = 'A' * 1024 * 300  # A string of 300 KB size
+        #pseudo_pdf = StringIO(pdf_content)
+        image = open(SAMPLE_IMAGE, 'rb')
+        ctrl = self.browser.getControl(name='stateresult')
         file_ctrl = ctrl.mech_control
-        file_ctrl.add_file(pseudo_pdf, filename='myform.pdf')
+        file_ctrl.add_file(image, filename='my_scan.jpg')
         self.browser.getControl("Save").click() # submit form
         # Even though the form could not be saved ...
         self.assertTrue('Required input is missing' in self.browser.contents)
         # ... the file has been successfully uploaded
-        pdf_url = self.transapplicant_manage_path.replace('manage', 'stateresult.pdf')
-        self.browser.open(pdf_url)
+        image_url = self.transapplicant_manage_path.replace('manage', 'stateresult')
+        self.browser.open(image_url)
         self.assertEqual(
-            self.browser.headers['content-type'], 'application/pdf')
-        self.assertEqual(len(self.browser.contents), 307200)
+            self.browser.headers['content-type'], 'image/jpeg')
+        self.assertEqual(len(self.browser.contents), 2787)
         # There is really a file stored for the applicant
         storage = getUtility(IExtFileStore)
@@ -365,11 +368,11 @@
         fd = storage.getFile(file_id)
         file_len = len(fd.read())
-        self.assertEqual(file_len, 307200)
+        self.assertEqual(file_len, 2787)
         # A file link is displayed on the edit view ...
         self.browser.open(self.transapplicant_manage_path)
-        self.assertTrue('<a href="stateresult.pdf">' in self.browser.contents)
+        self.assertTrue('<a href="stateresult">' in self.browser.contents)
         # ... and on the dislay view
         self.browser.open(self.transapplicant_view_path)
-        self.assertTrue('stateresult.pdf">Statement of Result</a>'
+        self.assertTrue('stateresult">Statement of Result</a>'
             in self.browser.contents)
         # Adding file is properly logged
@@ -416,18 +419,19 @@
         self.browser.open(self.verapplicant_manage_path)
         # Create a pseudo file with acceptable size
-        pdf_content = 'A' * 1024 * 300  # A string of 300 KB size
-        pseudo_pdf = StringIO(pdf_content)
-        ctrl = self.browser.getControl(name='verificationdoc.pdf')
+        #pdf_content = 'A' * 1024 * 300  # A string of 300 KB size
+        #pseudo_pdf = StringIO(pdf_content)
+        image = open(SAMPLE_IMAGE, 'rb')
+        ctrl = self.browser.getControl(name='verificationdoc')
         file_ctrl = ctrl.mech_control
-        file_ctrl.add_file(pseudo_pdf, filename='myform.pdf')
+        file_ctrl.add_file(image, filename='my_scan.jpg')
         self.browser.getControl("Save").click() # submit form
         # Even though the form could not be saved ...
         self.assertTrue('Required input is missing' in self.browser.contents)
         # ... the file has been successfully uploaded
-        pdf_url = self.verapplicant_manage_path.replace('manage', 'verificationdoc.pdf')
-        self.browser.open(pdf_url)
+        image_url = self.verapplicant_manage_path.replace('manage', 'verificationdoc')
+        self.browser.open(image_url)
         self.assertEqual(
-            self.browser.headers['content-type'], 'application/pdf')
-        self.assertEqual(len(self.browser.contents), 307200)
+            self.browser.headers['content-type'], 'image/jpeg')
+        self.assertEqual(len(self.browser.contents), 2787)
         # There is really a file stored for the applicant
         storage = getUtility(IExtFileStore)
@@ -437,11 +441,11 @@
         fd = storage.getFile(file_id)
         file_len = len(fd.read())
-        self.assertEqual(file_len, 307200)
+        self.assertEqual(file_len, 2787)
         # A file link is displayed on the edit view ...
         self.browser.open(self.verapplicant_manage_path)
-        self.assertTrue('<a href="verificationdoc.pdf">' in self.browser.contents)
+        self.assertTrue('<a href="verificationdoc">' in self.browser.contents)
         # ... and on the dislay view
         self.browser.open(self.verapplicant_view_path)
-        self.assertTrue('verificationdoc.pdf">Result/Certificate Document</a>'
+        self.assertTrue('verificationdoc">Result/Certificate Document</a>'
             in self.browser.contents)
         # Adding file is properly logged
@@ -454,5 +458,5 @@
             % (self.verapplicant.applicant_id)
             in logcontent)
-        # When an applicant is removed, also the pdf files are gone.
+        # When an applicant is removed, also the files are gone.
         del self.app['applicants'][self.vercontainer.code][self.verapplicant.application_number]
         fd = storage.getFile(file_id)
Index: main/waeup.aaue/trunk/src/waeup/aaue/applicants/utils.py
===================================================================
--- main/waeup.aaue/trunk/src/waeup/aaue/applicants/utils.py	(revision 16419)
+++ main/waeup.aaue/trunk/src/waeup/aaue/applicants/utils.py	(revision 16548)
@@ -28,6 +28,6 @@
     """
 
-    ADDITIONAL_FILES = (('Statement of Result','stateresult.pdf'),
-                 ('Result/Certificate Document','verificationdoc.pdf'))
+    ADDITIONAL_FILES = (('Statement of Result','stateresult'),
+                 ('Result/Certificate Document','verificationdoc'))
 
     APP_TYPES_DICT = {