Index: main/kofacustom.skeleton/trunk/src/kofacustom/skeleton/etranzact/browser.py
===================================================================
--- main/kofacustom.skeleton/trunk/src/kofacustom/skeleton/etranzact/browser.py	(revision 16591)
+++ main/kofacustom.skeleton/trunk/src/kofacustom/skeleton/etranzact/browser.py	(revision 16592)
@@ -52,9 +52,11 @@
 
     def update(self):
+        if not webconnect_module_activated(
+            self.context.__parent__.__parent__.year, self.context):
+            self.flash(_('Forbidden'), type='danger')
+            self.redirect(self.url(self.context, '@@index'))
+            return
         # Already now it becomes an Etranzact payment. We set the net amount
         # and add the gateway amount.
-        if not webconnect_module_activated(
-            self.context.__parent__.__parent__.year, self.context):
-            return _("Etranzact payments deactivated.")
         if not self.context.r_company:
             self.context.net_amt = self.context.amount_auth
@@ -67,5 +69,4 @@
             self.flash(error, type='danger')
             self.redirect(self.url(self.context, '@@index'))
-            return
         return
 
@@ -94,9 +95,11 @@
 
     def update(self):
+        if not webconnect_module_activated(
+            self.context.student.current_session, self.context):
+            self.flash(_('Forbidden'), type='danger')
+            self.redirect(self.url(self.context, '@@index'))
+            return
         # Already now it becomes an Etranzact payment. We set the net amount
         # and add the gateway amount.
-        if not webconnect_module_activated(
-            self.context.student.current_session, self.context):
-            return _("Etranzact payments deactivated.")
         if not self.context.r_company:
             self.context.net_amt = self.context.amount_auth
Index: main/kofacustom.skeleton/trunk/src/kofacustom/skeleton/interswitch/browser.py
===================================================================
--- main/kofacustom.skeleton/trunk/src/kofacustom/skeleton/interswitch/browser.py	(revision 16591)
+++ main/kofacustom.skeleton/trunk/src/kofacustom/skeleton/interswitch/browser.py	(revision 16592)
@@ -20,4 +20,5 @@
 import grok
 from kofacustom.nigeria.interswitch.browser import (
+    module_activated,
     InterswitchPaymentRequestWebservicePageApplicant,
     InterswitchPaymentRequestWebservicePageStudent,
@@ -34,5 +35,5 @@
 PROVIDER_ACCT = '00000000'
 PROVIDER_BANK_ID = '00'
-PROVIDER_ITEM_NAME = 'BT Education'
+PROVIDER_ITEM_NAME = 'WAeAC'
 INSTITUTION_NAME = 'Skeleton'
 CURRENCY = '566'
@@ -63,4 +64,9 @@
 
     def update(self):
+        if not module_activated(
+            self.context.student.current_session, self.context):
+            self.flash(_('Forbidden'), type='danger')
+            self.redirect(self.url(self.context, '@@index'))
+            return
         error = self.init_update()
         if error:
@@ -134,4 +140,9 @@
 
     def update(self):
+        if not module_activated(
+            self.context.__parent__.__parent__.year, self.context):
+            self.flash(_('Forbidden'), type='danger')
+            self.redirect(self.url(self.context, '@@index'))
+            return
         error = self.init_update()
         if error:
Index: main/kofacustom.skeleton/trunk/src/kofacustom/skeleton/remita/browser.py
===================================================================
--- main/kofacustom.skeleton/trunk/src/kofacustom/skeleton/remita/browser.py	(revision 16591)
+++ main/kofacustom.skeleton/trunk/src/kofacustom/skeleton/remita/browser.py	(revision 16592)
@@ -90,4 +90,6 @@
         if not module_activated(
             self.context.student.current_session, self.context):
+            self.flash(_('Forbidden'), type='danger')
+            self.redirect(self.url(self.context, '@@index'))
             return
         self.orderId = self.context.p_id
@@ -157,4 +159,6 @@
         if not module_activated(
             self.context.__parent__.__parent__.year, self.context):
+            self.flash(_('Forbidden'), type='danger')
+            self.redirect(self.url(self.context, '@@index'))
             return
         self.orderId = self.context.p_id